cluster / options
2 operations.
GET /cluster/options
ts
proxmox.cluster.options.$get()Get datacenter options. Without 'Sys.Audit' on '/' not all options are returned.
Returns object.
PUT /cluster/options
ts
proxmox.cluster.options.$put()Set datacenter options.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
bwlimit | string | Set I/O bandwidth limit for various operations (in KiB/s). | |
consent-text | string | Consent text that is displayed before logging in. — ≤ 65536 chars | |
console | applet | vv | html5 | xtermjs | Select the default Console viewer. You can either use the builtin java applet (VNC; deprecated and maps to html5), an external virt-viewer comtatible application (SPICE), an HTML5 based vnc viewer (noVNC), or an HTML5 based console client (xtermjs). If the selected viewer is not available (e.g. SPICE not activated for the VM), the fallback is noVNC. | |
crs | string | Cluster resource scheduling settings. | |
delete | string | A list of settings you want to delete. — format pve-configid-list | |
description | string | Datacenter description. Shown in the web-interface datacenter notes panel. This is saved as comment inside the configuration file. — ≤ 65536 chars | |
email_from | string | Specify email address to send notification from (default is root@$hostname) — format email-opt | |
fencing | watchdog | hardware | both | Set the fencing mode of the HA cluster. Hardware mode needs a valid configuration of fence devices in /etc/pve/ha/fence.cfg. With both all two modes are used. WARNING: 'hardware' and 'both' are EXPERIMENTAL & WIP — default "watchdog" | |
ha | string | Cluster wide HA settings. | |
http_proxy | string | Specify external http proxy which is used for downloads (example: 'http://username:password@host:port/') | |
keyboard | de | de-ch | da | en-gb | en-us | es | fi | fr | … (17 more) | Default keybord layout for vnc server. | |
language | ar | ca | da | de | en | es | eu | fa | … (19 more) | Default GUI language. | |
location | string | The location of the cluster. — format pve-node-location | |
mac_prefix | string | Prefix for the auto-generated MAC addresses of virtual guests. The default 'BC:24:11' is the OUI assigned by the IEEE to Proxmox Server Solutions GmbH for a 24-bit large MAC block. You're allowed to use this in local networks, i.e., those not directly reachable by the public (e.g., in a LAN or behind NAT). — format mac-prefix, default "BC:24:11" | |
max_workers | number | Defines how many workers (per node) are maximal started on actions like 'stopall VMs' or task from the ha-manager. — min 1 | |
migration | string | For cluster wide migration settings. | |
migration_unsecure | boolean | Migration is secure using SSH tunnel by default. For secure private networks you can disable it to speed up migration. Deprecated, use the 'migration' property instead! | |
next-id | string | Control the range for the free VMID auto-selection pool. | |
notify | string | Cluster-wide notification settings. | |
registered-tags | string | A list of tags that require a Sys.Modify on '/' to set and delete. Tags set here that are also in 'user-tag-access' also require Sys.Modify. | |
replication | string | For cluster wide replication settings. | |
tag-style | string | Tag style options. | |
u2f | string | u2f | |
user-tag-access | string | Privilege options for user-settable tags | |
webauthn | string | webauthn configuration |